Package org.eclipse.pde.launching

# Class OSGiLaunchConfigurationInitializer

java.lang.Object
org.eclipse.pde.launching.OSGiLaunchConfigurationInitializer

public class OSGiLaunchConfigurationInitializer extends Object
Initializes launch configuration attributes for newly-created OSGi Framework launch configurations

Clients may instantiate or subclass this class

This class originally existed in 3.3 as `org.eclipse.pde.ui.launcher.OSGiLaunchConfigurationInitializer`.

Since:
  3.6

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`DEFAULT`

## Constructor Summary

Constructors
Constructor
Description
`OSGiLaunchConfigurationInitializer()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getAutoStart(String bundleID)`
Returns whether the bundle should be started automatically
`protected String`
`getStartLevel(String bundleID)`
Returns the bundle's start level
`void`
`initialize(ILaunchConfigurationWorkingCopy configuration)`
Initializes some attributes on a newly-created launch configuration
`protected void`
`initializeBundleState(ILaunchConfigurationWorkingCopy configuration)`
Initializes the checked/unchecked state of bundles
`protected void`
`initializeFrameworkDefaults(ILaunchConfigurationWorkingCopy configuration)`
Initializes the start level and auto-start attributes
`protected void`
`initializeSourcePathProvider(ILaunchConfigurationWorkingCopy configuration)`
Sets the source provider ID

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT

protected static final String DEFAULT

See Also:
  - Constant Field Values

## Constructor Details

### OSGiLaunchConfigurationInitializer

public OSGiLaunchConfigurationInitializer()

## Method Details

### initialize

public void initialize(ILaunchConfigurationWorkingCopy configuration)
Initializes some attributes on a newly-created launch configuration

Parameters:
  `configuration` - the launch configuration

### initializeSourcePathProvider

protected void initializeSourcePathProvider(ILaunchConfigurationWorkingCopy configuration)
Sets the source provider ID

Parameters:
  `configuration` - the launch configuration

### initializeFrameworkDefaults

protected void initializeFrameworkDefaults(ILaunchConfigurationWorkingCopy configuration)
Initializes the start level and auto-start attributes

Parameters:
  `configuration` - the launch configuration

### initializeBundleState

protected void initializeBundleState(ILaunchConfigurationWorkingCopy configuration)
Initializes the checked/unchecked state of bundles

Parameters:
  `configuration` - the launch configuration

### getStartLevel

protected String getStartLevel(String bundleID)
Returns the bundle's start level

Parameters:
  `bundleID` - the bundle ID
Returns:
  the start level for the given bundle or the string `default`

### getAutoStart

protected String getAutoStart(String bundleID)
Returns whether the bundle should be started automatically

Parameters:
  `bundleID` - the bundle ID
Returns:
  `true`, `false`, or `default`